Convert Backstage catalog-info.yaml
POST
/manifests/convert
const url = 'https://shoehorn.example.com/api/v1/manifests/convert';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"content":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shoehorn.example.com/api/v1/manifests/convert \ --header 'Content-Type: application/json' \ --data '{ "content": "example" }'Converts a Backstage catalog-info.yaml to Shoehorn manifest format.
Request Body required
Section titled “Request Body required ” Media type application/json
object
content
Raw YAML content
string
Example generated
{ "content": "example"}Responses
Section titled “ Responses ”Converted manifest